%define libversion 1.44
%define build_gl 0
%define rname qt

Name: %{rname}1
Version: 1.45
Release: alt5

Summary: Shared library for the Qt GUI toolkit
Group: System/Libraries
License: distributable
Url: http://www.trolltech.com/

Source0: %rname-%version.tar.bz2
Patch0: qt-1.43-cflags.patch
Patch1: qt-1.43-shared.patch
Patch2: qt-1.44-enablegif.patch
Patch7: qt-1.44-configs.patch

# (chmou): Fix non Ansi CPP macros.
Patch8: qt-1.44-broken-cpp.patch
#Encodings patch
Patch9: qt-1.44-cyrcs.patch

Patch10: qt-1.45-compat_c.patch

# Automatically added by buildreq on Tue Oct 07 2003 (-bi)
BuildRequires: XFree86-devel cpp2.95 gcc2.95-c++ libjpeg-devel libpng-devel libstdc++2.95-devel zlib-devel

%package -n lib%name
Summary: Shared library for the Qt GUI toolkit
Group: System/Libraries
Provides: %name = %version-%release
Obsoletes: %name
Conflicts: qt < 1.50

%package -n lib%name-devel
Summary: Development files and documentation for the Qt GUI toolkit
Group: Development/KDE and QT
Requires: lib%name = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel %rname-devel < 1.50

#%ifnarch alpha
%package -n lib%name-qgl
Summary: OpenGL extension for Qt
Group: System/Libraries
Requires: lib%name = %version-%release
Provides: %name-qgl = %version-%release
Obsoletes: %name-qgl %rname-qgl < 1.50
#%endif

%package -n lib%name-qimgio
Summary: ImageIO extension for Qt
Group: System/Libraries
Requires: lib%name = %version-%release
Provides: %name-qimgio = %version-%release
Obsoletes: %name-qimgio %rname-qimgio < 1.50

%description
Qt is a GUI software toolkit. Qt simplifies the task of writing and
maintaining GUI (graphical user interface) applications for X Window.

Qt is written in C++ and is fully object-oriented. It has everything
you need to create professional GUI applications. And it enables you
to create them quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you
can run it on the X Window System (Unix/X11) or Microsoft Windows NT
and Windows 95/98. Simply recompile your source code on the platform
you want.

This package contains the shared library needed to run Qt applications,
as well as the README files for Qt.

%description -n lib%name
Qt is a GUI software toolkit. Qt simplifies the task of writing and
maintaining GUI (graphical user interface) applications for X Window.

Qt is written in C++ and is fully object-oriented. It has everything
you need to create professional GUI applications. And it enables you
to create them quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you
can run it on the X Window System (Unix/X11) or Microsoft Windows NT
and Windows 95/98. Simply recompile your source code on the platform
you want.

This package contains the shared library needed to run Qt applications,
as well as the README files for Qt.

%description -n lib%name-devel
Contains the files necessary to develop applications using Qt: header
files, the Qt meta object compiler, man pages, HTML documentation and
example programs.  See http://www.troll.no for more information about
Qt, or file:/usr/lib/qt/html/index.html for Qt documentation in HTML.

#%ifnarch alpha
%description -n lib%name-qgl
This package contains OpenGL extension for Qt
OpenGL extension for Qt
#%endif

%description -n lib%name-qimgio
This package contains ImageIO extension for Qt

%prep
%setup -q -n %rname-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1

#%patch7 -p1
rm -f include/qt_gif.h.rej
%patch8 -p1
%patch9 -p1

%patch10 -p1

%build
export QTDIR=$(pwd)
%make_build linux-g++-shared
%make_build
cd extensions/opengl/src
# lazy to do patch.
%if %build_gl
perl -pi -e 's|-lMesaGL -lMesaGLU|-lGL -lGLU|g' Makefile
make
%endif
cd ../../imageio/src
perl -pi -e 's|-lMesaGL -lMesaGLU|-lGL -lGLU|g' Makefile
make
#cd ../../xt/src
#make
cd ../../..

%install
mkdir -p $RPM_BUILD_ROOT%_bindir $RPM_BUILD_ROOT%_libdir
mkdir -p $RPM_BUILD_ROOT%_mandir
install -s -m 755 bin/moc $RPM_BUILD_ROOT%_bindir/moc
cp lib/libqt.so.%libversion $RPM_BUILD_ROOT%_libdir
ln -sf libqt.so.%libversion $RPM_BUILD_ROOT%_libdir/libqt.so.1
# ln -sf libqt.so.1 $RPM_BUILD_ROOT%_libdir/libqt.so
cp lib/libqimgio.so.0.1 $RPM_BUILD_ROOT%_libdir
ln -sf libqimgio.so.0.1 $RPM_BUILD_ROOT%_libdir/libqimgio.so.0
ln -sf libqimgio.so.0 $RPM_BUILD_ROOT%_libdir/libqimgio.so
#%ifnarch alpha
%if %build_gl
cp lib/libqgl.so.1.0 $RPM_BUILD_ROOT%_libdir
ln -sf libqgl.so.1.0 $RPM_BUILD_ROOT%_libdir/libqgl.so.1
ln -sf libqgl.so.1 $RPM_BUILD_ROOT%_libdir/libqgl.so
%endif
#%endif

cp -fR man/. $RPM_BUILD_ROOT%_mandir
mkdir -p $RPM_BUILD_ROOT%_libdir/qt $RPM_BUILD_ROOT%_includedir/qt
mkdir -p $RPM_BUILD_ROOT%_libdir/qt/html $RPM_BUILD_ROOT%_libdir/qt/tutorial
mkdir -p $RPM_BUILD_ROOT%_libdir/qt/examples
cp -fR html $RPM_BUILD_ROOT%_libdir/qt
cp -fR tutorial $RPM_BUILD_ROOT%_libdir/qt
cp -fR examples $RPM_BUILD_ROOT%_libdir/qt
cp -fR include/. $RPM_BUILD_ROOT%_includedir/qt
%if !%build_gl
rm -f $RPM_BUILD_ROOT%_includedir/qt/qgl.h
%endif
for a in $RPM_BUILD_ROOT%_libdir/qt/*/*/Makefile ; do
  sed 's-^SYSCONF_MOC.*-SYSCONF_MOC		= %_bindir/moc-' < $a > ${a}.2
  mv -v ${a}.2 $a
done
rm -f $RPM_BUILD_ROOT%_libdir/qt/*/*/*.o
chmod -R a+r $RPM_BUILD_ROOT%_libdir/libqt.so* $RPM_BUILD_ROOT%_libdir/qt

mkdir -p $RPM_BUILD_ROOT/usr/lib/qt/include
cd $RPM_BUILD_ROOT/usr/lib/qt/include
ln -s ../../../include/qt/* .
mkdir -p $RPM_BUILD_ROOT/usr/lib/qt/lib
cd $RPM_BUILD_ROOT/usr/lib/qt/lib
ln -s ../../*so* .
ln -sf ../../libqt.so.1 libqt.so

%post -n lib%name
/sbin/ldconfig
%postun -n lib%name
/sbin/ldconfig

%post -n lib%name-qimgio
/sbin/ldconfig
%postun -n lib%name-qimgio
/sbin/ldconfig

%post -n lib%name-qgl
/sbin/ldconfig
%postun -n lib%name-qgl
/sbin/ldconfig

%files -n lib%name
%doc ANNOUNCE LICENSE README.QT FAQ PORTING README changes-1.40 changes-1.41 changes-1.42 changes-1.43 changes-1.44
%_libdir/libqt.so.*
%_libdir/qt/lib/libqt.so.*

%files -n lib%name-devel
%_bindir/moc
# %_libdir/libqt.so
%_libdir/qt/lib/libqt.so
%_mandir/man1/moc.1*
%_mandir/man3/*.3qt*
%_libdir/qt/html
%_libdir/qt/tutorial
%_libdir/qt/examples
%_includedir/qt/
%_libdir/qt/include

#%ifnarch alpha
%if %build_gl
%files -n lib%name-qgl
%_libdir/libqgl.so*
%_libdir/qt/lib/libqgl.so*
%endif
#%endif

%files -n lib%name-qimgio
%_libdir/libqimgio.so*
%_libdir/qt/lib/libqimgio.so*

%changelog
* Tue Oct 07 2003 Sergey V Turchin <zerg at altlinux dot org> 1.45-alt5
- fix build

* Mon Nov 04 2002 Sergey V Turchin <zerg@altlinux.ru> 1.45-alt4
- fix dependencies

* Tue Oct 29 2002 Sergey V Turchin <zerg@altlinux.ru> 1.45-alt3
- fix requires

* Mon Oct 28 2002 Sergey V Turchin <zerg@altlinux.ru> 1.45-alt2
- rebuild
- librification

* Wed Dec 19 2001 Sergey V Turchin <zerg@altlinux.ru> 1.45-alt1
- new version

* Thu Oct 11 2001 Sergey V Turchin <zerg@altlinux.ru> 1.44-ipl34mdk
- remove %%_libdir/libqt.so from %%name-devel

* Mon Jun 18 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.44-ipl33mdk
- Rebuilt.

* Sun Dec 10 2000 AEN <aen@logic.ru>
- Compule with gcc-2.95.3
- Pablo's patche removed
- cyrcs patch added

* Sat Nov 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.44-29mdk
- Compile with egcs.
- Fix non ANSI standard cpp macros.

* Tue Sep 12 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.44-28mdk
- comment out ifnarch alpha (honnestly, it _does_ build)

* Mon Sep  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.44-27mdk
- BM [at last.. maintainer sucks]
- some symlinks in order to use QTDIR=%_libdir/qt in application
  programs [at last]
- fixed library-without-ldconfig-postin in qt-qgl

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.44-26mdk
- removed svgalib-devel from BuildRequires.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.44-25mdk
- automatically added BuildRequires

* Mon Jun 26 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.44-24mdk
- rebuilt to have good provides.

* Thu Jun 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.44-23mdk
- fixed the compose mechanism (dead keys)

* Mon May 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.44-22mdk
- No i18n patches for Alpha
- Let spec-helper do its job

* Thu May 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.44-21mdk
- Add ldconfig in %post/un of qimgio.

* Sat Apr 08 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.44-20mdk
- alpha fix

* Fri Jan 28 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.44-19mdk
- rebuild the 1.44-19ltk version done by Taik-kyun Lim that included the
  i18n patches.

* Thu Jan 20 2000 Taik-kyun Lim <mongmong@milab.yonsei.ac.kr> 1.44-19ltk
- Add i18n patch for Korean (2Byte Character Support, CJK)

* Mon Jan 17 2000 Francis Galiegue <francis@mandrakesoft.com>
- qgl now builds on sparcs

* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- fix build on alpha (egcs)

* Thu Jan 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.44-17mdk
- fixed non-intel build.

* Tue Jan 11 2000 Pixel <pixel@mandrakesoft.com>
- qgl do not wanna work for alpha => ifarch'ed out (gnark)
- remove the requires lesstif

* Fri Dec 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix build with new Mesa.

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Finally an update.
- Fix build as user.

* Fri Aug  6 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- fix compilation with {p,}gcc 2.95

* Wed Jul 21 1999 Gregus <gregus@etudiant.net>
- Added fr locale

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for the new environement.
- Removing qxt, linux-mandrake don't include lesstif.

* Wed May 05 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Add enablegif patch from RH 6.0

* Mon Apr 26 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Handle RPM_OPT_FLAGS
- bzip2 man pages
- Add qgl, qimgio, qxt packages

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Mar 15 1999 Preston Brown <pbrown@redhat.com>
- upgrade to qt 1.44.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- moved includes to /usr/include/qt

* Mon Jan 04 1999 Preston Brown <pbrown@redhat.com>
- made setup phase silent.

* Fri Dec 04 1998 Preston Brown <pbrown@redhat.com>
- upgraded to qt 1.42, released today.

* Tue Dec 01 1998 Preston Brown <pbrown@redhat.com>
- took Arnt's RPM and made some minor changes for Red Hat.
